Subject: Re: Client-side revocation checking capability

From: "Anders Rundgren" <[email-masked]>
Date: Mon, 14 Aug 2000 22:15:43 +0200

Dennis,

>I disagree. To access www.amazon.com one uses DNS, which is not secure
>and often easy to poison. Consequently, mafia.com can redirect some
>number of browsers by poisoning some number of DNS servers, present a
>Amazon.COM store front, and use Amazon's cert and private key. If the
>browser doesn't check for revocation then the consumer is none the
>wiser, at least for a while.

I assume that you refer to the situation where a web-site key is compromized (stolen,
copied)?   This is very hard to detect if they have low security standards.  And if they
have high security standards it is unlikely to happen.   Since server-based
PKI is likely to skyrocket for other purposes than SSL, I believe that it is more
important to get cheap hardware-based key-stores with built-in crypto-processing
rather than on-line revocation processing,  to minimize doubts like
"did John copy our server key when he was found in the server-room where he should not be?"

To get a new server-certificate is BTW not that trivial so it makes sense to improve
local security in various ways.

Anders

---

From: Dennis Glatting <[email-masked]>
Date: Mon, 14 Aug 2000 13:01:39 -0700

> local security in various ways.

One of the (many) problems with the PKI as it is today (okay, SSL/TLS)
is all you need is to compromise one CA and you can issue bogus server
certificates and set up bogus web sites to your hearts content, at
least for a while. The popular browsers have many root certificates,
58 in Netscape I believe. If you compromise one of those roots then a
browser is going to accept a certificate from a compromised CA with
Amazon.COM and DNS spoofed without distinction from the real
Amazon.COM. Another trick is to send a viral laden e-mail message to
the masses and implant a root certificate. 

In both cases I am skeptical of the value of CR. I am also skeptical
that all consumers would repair their systems even with a flood of
strongly worded advertising. So, :), I believe a compromised or
spoofed (bogus embeded root certificate) root is the kind of gift that
keeps on giving.